summarylogtreecommitdiffstats
path: root/sm64plus-wrapper.sh
diff options
context:
space:
mode:
authorNoah2021-04-27 20:05:00 -0500
committerNoah2021-04-27 20:05:00 -0500
commit29e4f768da6f4deade1cd85bd0c9b8a2a5259a3b (patch)
tree25433166198eb97d268bf1cbe516de2928784276 /sm64plus-wrapper.sh
downloadaur-29e4f768da6f4deade1cd85bd0c9b8a2a5259a3b.tar.gz
Initial commit
Diffstat (limited to 'sm64plus-wrapper.sh')
-rw-r--r--sm64plus-wrapper.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/sm64plus-wrapper.sh b/sm64plus-wrapper.sh
new file mode 100644
index 00000000000..3efbb45bfb6
--- /dev/null
+++ b/sm64plus-wrapper.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/bash
+
+set -eu
+
+config_dir=${XDG_CONFIG_HOME:-~/.config}/sm64plus
+mkdir -p "$config_dir"
+cd "$config_dir"
+exec /opt/sm64plus/sm64.us.f3dex2e /opt/sm64plus/gfx